Get Price

GEThttps://bank.dattaremit.com/api/prices

Requires a bank-scoped key.

Retrieves a listing of symbol prices.

## Symbols

Symbol are pairs and are in the format asset-counter_asset, e.g., 'BTC-USD' for the Bitcoin/ USD pair. See the Symbols API for a complete list of cryptocurrencies supported.

Required scope: prices:read

Query Params

symbolstring

Comma separated trading symbols to list prices for.

trading_symbolstring

Comma separated trading symbols to list prices for.

payout_symbolstring

Comma separated payout symbols to list prices for.

payout_country_codestring

Comma separated payout country codes to list prices for.

payout_participants_typestring

Comma separated payout participants types to list prices for.

payout_routestring

Comma separated payout routes to list prices for.

bank_guidstring

The bank identifier to retrieve prices for.

Responses

200

get list of price

400

Invalid requests

401

Unauthorized - Authentication failed

403

Invalid scope

Request

curl https://api.dattaremit.com/api/prices \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

get list of price

[
  {
    "symbol": "string",
    "type": "string",
    "buy_price": 1,
    "sell_price": 1,
    "buy_price_last_updated_at": "2026-07-20T16:27:51.438Z",
    "sell_price_last_updated_at": "2026-07-20T16:27:51.438Z",
    "country_code": "string",
    "participants_type": "string",
    "route": "string"
  }
]